Chromium Code Reviews
Help | Chromium Project | Sign in
(503)

Issue 12177009: Printing selection from context menu. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 2 months ago by Vitaly Buka
Modified:
2 years, 2 months ago
Reviewers:
Lei Zhang, gene, Cris Neckar
CC:
chromium-reviews, darin-cc_chromium.org, Avi, arv, creis+watch_chromium.org, ajwong+watch_chromium.org
Visibility:
Public.

Description

Printing selection from context menu. BUG=83098 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=180570

Patch Set 1 #

Total comments: 2

Patch Set 2 : #

Total comments: 2

Patch Set 3 : #

Total comments: 2

Patch Set 4 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+114 lines, -79 lines) Patch
M chrome/browser/printing/print_preview_dialog_controller_browsertest.cc View 4 chunks +4 lines, -4 lines 0 comments Download
M chrome/browser/printing/print_preview_dialog_controller_unittest.cc View 4 chunks +6 lines, -4 lines 0 comments Download
M chrome/browser/printing/print_preview_message_handler.h View 2 chunks +3 lines, -3 lines 0 comments Download
M chrome/browser/printing/print_preview_message_handler.cc View 1 chunk +3 lines, -8 lines 0 comments Download
M chrome/browser/printing/print_view_manager.h View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/printing/print_view_manager.cc View 1 2 chunks +8 lines, -7 lines 0 comments Download
M chrome/browser/resources/print_preview/native_layer.js View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/tab_contents/render_view_context_menu.h View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/tab_contents/render_view_context_menu.cc View 4 chunks +13 lines, -3 lines 0 comments Download
M chrome/browser/ui/browser_commands.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/webui/print_preview/print_preview_handler.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/webui/print_preview/print_preview_ui.h View 1 2 3 3 chunks +9 lines, -6 lines 0 comments Download
M chrome/browser/ui/webui/print_preview/print_preview_ui.cc View 1 chunk +6 lines, -13 lines 0 comments Download
M chrome/browser/ui/webui/print_preview/print_preview_ui_unittest.cc View 4 chunks +4 lines, -4 lines 0 comments Download
M chrome/common/print_messages.h View 1 4 chunks +19 lines, -9 lines 0 comments Download
M chrome/common/print_messages.cc View 1 1 chunk +11 lines, -0 lines 0 comments Download
M chrome/renderer/printing/print_web_view_helper.h View 2 chunks +2 lines, -1 line 0 comments Download
M chrome/renderer/printing/print_web_view_helper.cc View 1 2 3 chunks +20 lines, -12 lines 0 comments Download
M chrome/renderer/printing/print_web_view_helper_browsertest.cc View 1 chunk +1 line, -1 line 0 comments Download
Commit: CQ not working?

Messages

Total messages: 12 (0 generated)
Vitaly Buka
2 years, 2 months ago (2013-02-04 18:26:48 UTC) #1
gene
https://codereview.chromium.org/12177009/diff/1/chrome/common/print_messages.h File chrome/common/print_messages.h (right): https://codereview.chromium.org/12177009/diff/1/chrome/common/print_messages.h#newcode65 chrome/common/print_messages.h:65: struct PrintHostMsg_RequestPrintPreview_Params { Could you please make a constructor ...
2 years, 2 months ago (2013-02-04 18:37:35 UTC) #2
Vitaly Buka
https://codereview.chromium.org/12177009/diff/1/chrome/common/print_messages.h File chrome/common/print_messages.h (right): https://codereview.chromium.org/12177009/diff/1/chrome/common/print_messages.h#newcode65 chrome/common/print_messages.h:65: struct PrintHostMsg_RequestPrintPreview_Params { On 2013/02/04 18:37:35, gene wrote: > ...
2 years, 2 months ago (2013-02-04 18:45:59 UTC) #3
gene
lgtm
2 years, 2 months ago (2013-02-04 18:51:54 UTC) #4
Vitaly Buka
Lei, please check printing code as owner of the most files. Cris, please take a ...
2 years, 2 months ago (2013-02-04 18:55:21 UTC) #5
Lei Zhang
https://codereview.chromium.org/12177009/diff/5003/chrome/renderer/printing/print_web_view_helper.cc File chrome/renderer/printing/print_web_view_helper.cc (left): https://codereview.chromium.org/12177009/diff/5003/chrome/renderer/printing/print_web_view_helper.cc#oldcode1586 chrome/renderer/printing/print_web_view_helper.cc:1586: case PRINT_PREVIEW_USER_INITIATED_CONTEXT_NODE: { Did you mean to remove this ...
2 years, 2 months ago (2013-02-04 19:49:03 UTC) #6
Vitaly Buka
https://codereview.chromium.org/12177009/diff/5003/chrome/renderer/printing/print_web_view_helper.cc File chrome/renderer/printing/print_web_view_helper.cc (left): https://codereview.chromium.org/12177009/diff/5003/chrome/renderer/printing/print_web_view_helper.cc#oldcode1586 chrome/renderer/printing/print_web_view_helper.cc:1586: case PRINT_PREVIEW_USER_INITIATED_CONTEXT_NODE: { Thanks, I didn't. On 2013/02/04 19:49:03, ...
2 years, 2 months ago (2013-02-04 20:04:41 UTC) #7
Lei Zhang
lgtm https://codereview.chromium.org/12177009/diff/3003/chrome/browser/ui/webui/print_preview/print_preview_ui.h File chrome/browser/ui/webui/print_preview/print_preview_ui.h (right): https://codereview.chromium.org/12177009/diff/3003/chrome/browser/ui/webui/print_preview/print_preview_ui.h#newcode181 chrome/browser/ui/webui/print_preview/print_preview_ui.h:181: // Indicates whether the only selection should be ...
2 years, 2 months ago (2013-02-04 20:20:21 UTC) #8
Vitaly Buka
https://codereview.chromium.org/12177009/diff/3003/chrome/browser/ui/webui/print_preview/print_preview_ui.h File chrome/browser/ui/webui/print_preview/print_preview_ui.h (right): https://codereview.chromium.org/12177009/diff/3003/chrome/browser/ui/webui/print_preview/print_preview_ui.h#newcode181 chrome/browser/ui/webui/print_preview/print_preview_ui.h:181: // Indicates whether the only selection should be printed. ...
2 years, 2 months ago (2013-02-04 20:33:06 UTC) #9
Cris Neckar
IPC security review LGTM
2 years, 2 months ago (2013-02-04 21:37:17 UTC) #10
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/vitalybuka@chromium.org/12177009/6002
2 years, 2 months ago (2013-02-04 21:51:49 UTC) #11
I haz the power (commit-bot)
2 years, 2 months ago (2013-02-05 00:13:55 UTC) #12
Message was sent while issue was closed.
Change committed as 180570
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 700cc9d